#!/usr/bin/perl

###############################################################################
#
# Copyright (C) 2014 ClearOne Communications, Inc. All rights reserved.
#
#     Confidential -- The contents of this material are confidential and 
#     proprietary to ClearOne Communications and may not be Reproduced, 
#     Published, or Disclosed to others without company authorization.
#
# Filename : getFirmware.cgi
#
# Project : Timpanogos
#
# Description : return the firmware table for all SHARCs, Telco, FPGA, Timpanonos Firmware, 
#		and Kernel version to the Web Page
#
# Owner : May Vilaiphanh
#
# Date : 01/07/2014
#
################################################################################  
use strict;
use warnings;
use CGI;

my $query = new CGI;
my $boxNo = $query->param('q');
#my $boxNo = 1;

my $dir = "/disc";
my $line;
my $headerTable;
my $bodyTable;
my $footerTable;
my $tab = "&emsp;&emsp;&emsp;&emsp;";
my $glTotal = qx(ls /disc/version*.txt | wc -l);

my $message = "Failed to retrieve data, please check if box#.csv exists!!\n";
 
my $boxNum = $boxNo - 1;
my $fileName = $dir. "\/". "version_box" . $boxNum . ".txt";
#print "$fileName\n";

if ( $boxNo != $glTotal && $boxNo == 1 )
{
	$boxNo = $glTotal;
}


# create Table Headers
$headerTable = "Content-type:text/html\r\n\r\n";	
$headerTable .=  "<html>";
$headerTable .=  $boxNo;
$headerTable .=  ":";
$headerTable .=  "<body>";
$headerTable .= "<table border=1 width=100%>";
$headerTable .= "<col width=50>";
$headerTable .= "<col width=50>";
$headerTable .= "<col width=200>";
$headerTable .=  "<tr>";
$headerTable .=  "<th>Component</th>";
$headerTable .=  "<th>Version</th>";
$headerTable .=  "<th>Date</th>";
$headerTable .=  "</tr>";

$bodyTable = "";

$footerTable .=  "</table>";
$footerTable .=  "</body>";
$footerTable .=  "</html>";
		
if (open(FD_IN, $fileName))
{
	# Read the lines one by one
	while ( $line = <FD_IN> )
	{
		chomp($line);
		my ($component, $version, $date)=split(',',$line);
		
		$bodyTable .=  "<tr>";
		$bodyTable .=  "<td>$component</td>";			
		$bodyTable .=  "<td>$version</td>";			
		$bodyTable .=  "<td>$date</td>";			
		$bodyTable .=  "</tr>";
	}
	close(FD_IN);
	print "$headerTable";
	print "$bodyTable";
	print "$footerTable";

}
else
{

	$headerTable = "";
	$headerTable = "Content-type:text/html\r\n\r\n";	
	$headerTable .=  "<html>";
	$headerTable .=  $boxNo;
	$headerTable .=  ":";
	$headerTable .=  "<body>";
	$bodyTable .= "<h2>$message</h2>";
	
	print "$headerTable";
	print "$bodyTable";
	print "$footerTable";

	
}
	
		
