jQuery(document).ready(function($){
    $('#btnSystemTables').click(function(e){
        e.preventDefault();
        // Remove previous messages
        $('p.ji-message').remove();
        var $main_content = $('#main_content');
        // Send request
        $.ajax({
            url: './sysconfig.php',
            type: 'POST',
            dataType: 'json',
//            data: data,
            beforeSend: function() {
                
            },
            success: function(response) {
                if(response.success) {
                    var $content_table = $('table#content_table');
                    $content_table.children('tbody').remove();
                    $main_content.prepend('<p class="ji-message ji-success">'+response.success+'</p>');
                    $('th#data_type').html(response.data_type);
                    var tbody = '<tbody>';
                    for(var i = 0; i < response.info.length; i++) {
                        if(i === 0) {
                            tbody += '<tr>';
                            for(key in response.info[i]) {
                                if(response.info[i].hasOwnProperty(key)) {
                                    tbody += '<td class="ji-capitalize" colspan="2"><b>';
                                    tbody += key.replace('_', ' ');
                                    tbody += '</b></td>';
                                }
                            }
                            tbody += '</tr>';
                        }
                        tbody += '<tr>';
                        for(key in response.info[i]) {
                            if(response.info[i].hasOwnProperty(key)) {
                                tbody += '<td colspan="2">';
                                tbody += response.info[i][key];
                                tbody += '</td>';
                            }
                        }
                        tbody += '</tr>';
//                        for(key in response.info[i]) {
//                            if(response.info[i].hasOwnProperty(key)) {
//                                tbody += '<tr>';
//                                tbody += '<td class="ji-capitalize" colspan="3"><b>';
//                                tbody += key.replace('_', ' ');
//                                tbody += '</b></td>';
//                                tbody += '<td colspan="3">';
//                                tbody += response.info[i][key];
//                                tbody += '</td>';
//                                tbody += '</tr>';
//                            }
//                        }
                    }
                    tbody += '</tbody>';
                    $content_table.prepend(tbody);
                }
                else {
                    $main_content.prepend('<p class="ji-message ji-error">'+response.error+'</p>');
                }
            },
            error: function(xhr, status, error) {
                $main_content.prepend('<p class="ji-message ji-error"><b>Request error:</b> '+error+'</p>');
            }
        });
    });
    $('#ddlBox').change(function(e){
        // Remove previous messages
        $('p.ji-message').remove();
        // No box selected, exit immediately
        if($(this).val() === '-1') return;
        var $main_content = $('#main_content');
        // Send request
        $.ajax({
            url: './firmware.php',
            type: 'POST',
            dataType: 'json',
            data: {box: $(this).val()},
            beforeSend: function() {
                
            },
            success: function(response) {
                if(response.success) {
                    var $content_table = $('table#content_table');
                    $content_table.children('tbody').remove();
                    $main_content.prepend('<p class="ji-message ji-success">'+response.success+'</p>');
                    $('th#data_type').html(response.data_type);
                    var tbody = '<tbody>';
                    for(key in response.info) {
                        if(response.info.hasOwnProperty(key)) {
                            tbody += '<tr>';
                            tbody += '<td class="ji-capitalize" colspan="3"><b>';
                            tbody += key;
                            tbody += '</b></td>';
                            tbody += '<td colspan="3">';
                            tbody += response.info[key];
                            tbody += '</td>';
                            tbody += '</tr>';
                        }
                    }
                    tbody += '</tbody>';
                    $content_table.prepend(tbody);
                }
                else {
                    $main_content.prepend('<p class="ji-message ji-error">'+response.error+'</p>');
                }
            },
            error: function(xhr, status, error) {
                $main_content.prepend('<p class="ji-message ji-error"><b>Request error:</b> '+error+'</p>');
            }
        });
    });
    $('#btnTelnetConnect').click(function(e){
        e.preventDefault();
        // Remove previous messages
        $('p.ji-message').remove();
        var $main_content = $('#main_content');
        var $txtTelnetUsername = $('#txtTelnetUsername');
        var $txtTelnetPassword = $('#txtTelnetPassword');
        // Send request
        $.ajax({
            url: './telnet.php',
            type: 'POST',
            dataType: 'json',
            data: {action: 'connect', host: window.location.host, username: $txtTelnetUsername.val(), password: $txtTelnetPassword.val()},
            beforeSend: function() {
                
            },
            success: function(response) {
                if(response.success) {
                    $main_content.prepend('<p class="ji-message ji-success">'+response.success+'</p>');
                    $('#txtTelnetCommands').removeAttr('disabled');
                    $('#btnSendTelnetCommands').removeAttr('disabled');
                    $txtTelnetUsername.attr('disabled', 'true');
                    $txtTelnetPassword.attr('disabled', 'true');
                }
                else {
                    $main_content.prepend('<p class="ji-message ji-error">'+response.error+'</p>');
                }
            },
            error: function(xhr, status, error) {
                $main_content.prepend('<p class="ji-message ji-error"><b>Request error:</b> '+error+'</p>');
            }
        });
    });
    $('#btnSendTelnetCommands').click(function(e){
        e.preventDefault();
        // Remove previous messages
        $('p.ji-message').remove();
        var $main_content = $('#main_content');
        // Send request
        $.ajax({
            url: './telnet.php',
            type: 'POST',
            dataType: 'json',
            data: {action: 'sendcommand', host: window.location.host, cmd: $('#txtTelnetCommands').val()},
            beforeSend: function() {
                
            },
            success: function(response) {
                if(response.success) {
                    $main_content.prepend('<p class="ji-message ji-success">'+response.success+'</p>');
                }
                else {
                    $main_content.prepend('<p class="ji-message ji-error">'+response.error+'</p>');
                }
            },
            error: function(xhr, status, error) {
                $main_content.prepend('<p class="ji-message ji-error"><b>Request error:</b> '+error+'</p>');
            }
        });
    });
});